#!/bin/sh

# Quit all running waybar instances
killall waybar

# Default theme: /THEMEFOLDER;/VARIATION
themestyle="cantina;light"

# Get current theme information from .cache/waybar.themestyle
if [ -f ~/.cache/waybar.themestyle ]; then
    themestyle=$(cat ~/.cache/waybar.themestyle)
else
    touch ~/.cache/waybar.themestyle
    echo "$themestyle" > ~/.cache/waybar.themestyle
fi

IFS=';' read -ra arrThemes <<< "$themestyle"

if [ ! -f ~/dotfiles/waybar/themes/${arrThemes[0]}/${arrThemes[1]}/style.css ]; then
    themestyle="cantina;light"
fi

# Loading the configuration and style file based
waybar -c ~/dotfiles/waybar/themes/${arrThemes[0]}/config -s ~/dotfiles/waybar/themes/${arrThemes[0]}/${arrThemes[1]}/style.css &
